5

I almost completed CS50 last year, and I was just wondering if I could finish up the coursework with the old appliance, or do I need to install the new one? Thank you!

2
  • 1
    Which psets do you still need to complete? – curiouskiwi Jan 8 '15 at 8:51
  • 1
    Hi, from last year, I have almost finished pset6, and still need to do pset7. Looks like for 2015 they have added 2 new psets that I will have to do as well (web server and mashup). Thank you! – Hudit Jan 8 '15 at 8:54
1

You may need to download the latest version. Last year they changed the directory structure, so I needed to download the latest version, v19, pset8 which was hosted on their servers wouldn't work with old v17.

1

You should be able to complete pset7 and the new pset6 and pset8 using the old appliance. There's also a new program initials.c in pset2 so you'll need to do that (and you won't have check50 for it with the old appliance if you're okay with that.)

If your system supports it, I'd suggest getting the new appliance only because that way you'll have the most up to date working space, but I think you'll be okay if you don't.

2
  • 1
    Hi, thank you, I will go ahead and update. Do I do it from inside the old appliance, or just start from scratch, per the new pset1 instructions? – Hudit Jan 8 '15 at 9:39
  • 1
    Start from scratch. – curiouskiwi Jan 8 '15 at 9:39
1

I strongly recommend you to use new appliance-2014. It is Ubuntu + Xfce desktop environment = Xubuntu.

Again when you will start your breakout the new appliance might help you... New Appliance is light-weigh. check50 always needs new version to work properly

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .